Bug 25703 - Webview waits to load the content until webviews on previous pages are loaded
Summary: Webview waits to load the content until webviews on previous pages are loaded
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.3.0
Hardware: PC Windows
: Normal normal
Target Milestone: 1.3.3
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-01-04 22:06 UTC by Prashant Cholachagudda
Modified: 2015-02-13 16:01 UTC (History)
8 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Prashant Cholachagudda 2015-01-04 22:06:08 UTC
When using Master detail page the web page that is being loaded in the WebView
is responding slow, and then we navigate back using the back button in the
toolbar and then hit another menu item which will create and PushAsync() a
new ContentPage (with a webview pointing to the new url), then it somehow
waits for the previous page to completely load first in the background
before displaying the new content.
Comment 5 Karlo Medallo 2015-01-12 23:09:45 UTC
Any updates on this?
Comment 6 Sunil Kumar 2015-01-14 10:00:50 UTC
Thanks Karlo for more info,

I have tried to reproduce this issue using VS and getting the same behavior. I run the attached sample using VS as mentioned in screencast attached in comment 4. 

I observed that when I click any menu item in toolbar then the web page that is being loaded in the WebView is responding slow.

If we navigate back using the back button in the toolbar and then hit another menu item like "API- Long Response Page" then it somehow waits for the previous page to completely load first in the background before displaying the new content.

Screencast: http://www.screencast.com/t/GMyiKiUanHIY
IDE log: https://gist.github.com/sunil360/f7314e0759d19b7e3233
Debug Output: https://gist.github.com/sunil360/52f10ffe1fc7a541c25a
Device Log: https://gist.github.com/sunil360/fc0e2012b60e9878d601

Hence marking this issue as confirmed.

Environment info:
Microsoft Visual Studio Professional 2013
Version 12.0.31101.00 Update 4
Microsoft .NET Framework
Version 4.5.50938

Xamarin   3.9.242.0 (7882a10)
Xamarin.Android   4.20.0.34 (49a04b966feb40dfdba49d57ba16249b66d606a6)
Xamarin.iOS   8.6.0.0 (dfb682fa615491b012ed24198d2bdcd641e1874f)
Comment 7 Jason Smith [MSFT] 2015-01-28 14:23:37 UTC
Should be fixed in 1.3.3-pre1
Comment 8 Udham Singh 2015-02-04 11:01:18 UTC
I have checked this issue with Xamarin.Forms.1.3.3.6321-pre2 and still getting the same behaviour mentioned in comment 6. Hence I am reopening this issue.

Please refer the screencast : http://www.screencast.com/t/xYRYhk28z0

Environment Info :

Xamarin.Forms.1.3.3.6321-pre2

Microsoft Visual Studio Professional 2013
Version 12.0.31101.00 Update 4
Microsoft .NET Framework
Version 4.5.50938

Xamarin   3.9.293.0 (080a254)
Comment 9 Jason Smith [MSFT] 2015-02-13 16:01:16 UTC
We have re-validated the fix. Something else is at play with comment 6.